Bug 845164 - Connection execution during move restart haproxy
Connection execution during move restart haproxy
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 00:14 EDT by Rajat Chopra
Modified: 2015-05-14 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajat Chopra 2012-08-02 00:14:05 EDT
Description of problem:
HAProxy gets started even if it was stopped upon a gear move of a scalable app
This happens on a scale-up/scale-down/update-namespace etc also

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a scalable app and add some gears (scale-up or add mysql)
2. Stop Haproxy, and move the mysql gear (or scale-up)
3. 
  
Actual results:
Haproxy is alive again automatically

Expected results:
Haproxy should maintain its state after the end of operation


Additional info:
The connection hooks do a reload of the haproxy, they should not start haproxy if it was stopped already
Comment 1 Ram Ranganathan 2012-08-02 00:39:08 EDT
Fixed with git commit f429010a9c99cdfb13454575fbd1e638ba53b0da -- waiting for pull request: https://github.com/openshift/crankcase/pull/322  to get tested and merged in.
Comment 2 Ram Ranganathan 2012-08-02 13:38:15 EDT
rchopra merged the pull request.
Comment 3 Ram Ranganathan 2012-08-02 16:51:22 EDT
Changed to use an consistent init-script like name with commit de72b3618a6c86cebc3e8b18dd8af57448b8b224.
Comment 4 Ram Ranganathan 2012-08-02 16:53:32 EDT
This fix has also been applied to STG by rchopra -- was needed for fixing bugz 844912.
Comment 5 Rony Gong 2012-08-03 00:20:37 EDT
Verified on stg_228,
both after move mysql gear and scal-up
the haproxy still be stopped 

[root@localhost mytest]# rhc app cartridge status -a qs1jbossas -c haproxy-1.4 -p 111111

RESULT:
HAProxy instance is stopped

Note You need to log in before you can comment on or make changes to this bug.